couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Helmer" <hel...@nmr.mgh.harvard.edu>
Subject Re: 1.7.1 Install issue
Date Sat, 06 Jan 2018 21:46:59 GMT
Thanks Dave, you're right it's my erlang install.  It looks as though
there was an initial, possibly partial, install of erlang R14B-04.3 that
is
colliding with my attempt to put on R19.3.6-1 (which I have running
successfully on other servers). I've tried to start over using yum remove,
but it says that it can't find erlang:

$sudo yum remove 'erlang-*'

Loaded plugins: fastestmirror, security
Setting up Remove Process
No Match for argument: erlang-*
Loading mirror speeds from cached hostfile
 * base: mirror.sigmanet.com
 * epel: mirror.steadfast.net
 * extras: centos.s.uw.edu
 * updates: mirrors.lga7.us.voxel.net
Package(s) erlang-* available, but not installed.
No Packages marked for removal

But somehow it seems to think that 19.3.6 is already installed:

$sudo yum localinstall esl-erlang_19.3.6-1~centos~6_amd64.rpm
Loaded plugins: fastestmirror, security
Setting up Local Package Process
Examining esl-erlang_19.3.6-1~centos~6_amd64.rpm: esl-erlang-19.3.6-1.x86_64
esl-erlang_19.3.6-1~centos~6_amd64.rpm: does not update installed package.
Nothing to do

Why this is odd is that when I do:
$erl --version
-bash: /usr/bin/erl: No such file or directory

I expected this since I then tried a manual removal (yum remove said it
couldn't find anything) of erlang by deleting:

/usr/local/lib/erlang (for 19.x)
/usr/lib/erlang
/usr/lib64/erlang
usr/share/java/erlang
and the links in /usr/bin/:
epmd, erl, erlc, escript, run_erl, run_test, to-erl


I also removed the various erlang rpm’s in the directory:
/var/cache/yum/x86_64/6/epel/packages

The only erlang files left are the ones in the couchdb installation and
/usr/share/augeas/lenses/dist/erlang.aug
/usr/share/autoconf/autoconf/erlang.m4
/usr/share/mime/text/x-erlang.xml
/usr/share/vim/vim74/syntax/erlang.vim
/usr/share/vim/vim74/ftplugin/erlang.vim
/usr/share/vim/vim74/compiler/erlang.vim
/usr/share/vim/vim74/indent/erlang.vim

Same problem persists - yum still thinks that R19 is installed. Should I
delete any of the above files? Any other ideas are welcome.

thanks,
Karl





> On Fri, 5 Jan 2018, at 21:00, Karl Helmer wrote:
>> Hi Everyone,
>>   I'm having an issue trying to install 1.7.1 on a CentOS 6.9 server.
>> I've done this successfully on other servers running the same OS.  I've
installed  the recommended packages and get "Time to relax" after
running configure. The make and make install step doesn't throw any
>
>> CRASH REPORT==== 5-Jan-2018::13:02:05 ===
>>   crasher:
>>     initial call: application_master:init/4
>>     pid: <0.55.0>
>>     registered_name: []
>>     exception exit: {{app_would_not_start,ssl},
>
> Hi Karl,
>
> This suggests asn1 or crypto modules are perhaps not installed.
>
> $ erl
> Erlang/OTP 20 [erts-9.2] [source] [64-bit] [smp:32:32] [ds:32:32:10]
[async-threads:10] [hipe] [kernel-poll:true] [dtrace]
>
> Eshell V9.2  (abort with ^G)
> 1> application:ensure_all_started(ssl).
> {ok,[crypto,asn1,public_key,ssl]}
> 2>
>
> What do you get here?
>
> What steps specifically to install? how is erlang being installed?
>
> A+
> Dave
>
>
>


-- 
Karl Helmer, PhD
Athinoula A Martinos Center for Biomedical Imaging
Massachusetts General Hospital
149 - 13th St Room 2301
Charlestown, MA 02129
(p) 617.726.8636
(f) 617.726.7422
helmer@nmr.mgh.harvard.edu
http://www.martinos.org/user/6787






The information in this e-mail is intended only for the person to whom it is
addressed. If you believe this e-mail was sent to you in error and the e-mail
contains patient information, please contact the Partners Compliance HelpLine at
http://www.partners.org/complianceline . If the e-mail was sent to you in error
but does not contain patient information, please contact the sender and properly
dispose of the e-mail.


Mime
View raw message